@import "@/styles/mixins/reset";

.container {
	display: flex;
	column-gap: 16px;
	width: 100%;
	border-radius: 12px;
	background-color: var(--mauve-5);
	padding: 16px;
}

.icon_circle {
	min-width: 44px;
	min-height: 44px;
	max-width: 44px;
	max-height: 44px;
	color: var(--mauve-12);
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;

	& > svg {
		width: 24px;
		height: 24px;
	}

	&_book {
		background-color: #27AE60;
	}

	&_fitness {
		background-color: #F2994A;
	}

	&_video {
		background-color: #FD5B71;
	}

	&_telegram {
		background-color: #24A1DE;

		& > svg {
			width: 34px;
			height: 34px;
		}
	}

	&_film {
		background-color: #7012CF;
	}
}

.meta {
	display: flex;
	flex-direction: column;
	row-gap: 8px;
	max-width: 195px;

	& > span:last-child {
		width: min-content;
	}

	&_container {
		display: flex;
		justify-content: space-between;
		width: 100%;
	}

	&_controls {
		display: flex;
		flex-direction: column;
		row-gap: 8px;

		&_button {
			display: flex;
			justify-content: flex-end;
			transition: color 0.2s ease;
			@include resetButton;

			&:active {
				color: var(--mauve-11);
			}

			& > svg {
				width: 24px;
				height: 24px;
			}
		}
	}
}